<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# pwndbg

```text
usage: pwndbg [-h] [-c CATEGORY_ | --list-categories] [filter_pattern]

```

Prints out a list of all Pwndbg commands.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|filter_pattern|Filter to apply to commands names/docs|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-c|--category|Filter commands by category|
||--list-categories|List command categories|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
